# Originally created by John Murga (cf. http://gcc.gnu.org/ml/java/2003-01/msg00299.html)
# Adapted by Mohan Embar (http://www.thisiscool.com/) for GCC 3.3
# Check that we appear to have set the environment up

. buildenv.sh

if [ ! $BUILD_ROOT_DIR  ]
then
    echo "You must set the enviroment before runing this script..."
    exit
fi

if [ ! -d $BUILD_ROOT_DIR  ]
then
    echo Setting up build directory...
    mkdir $BUILD_ROOT_DIR
    cd $BUILD_ROOT_DIR
fi

if [ ! -d $BU_NEW_SRC_DIR  ]
then
    echo Setting up new binutils source directory...
    cd $BUILD_ROOT_DIR
    tar xfz $SUPP_SOURCES_DIR/$BU_NEW_SRC_TAR_GZ
fi

# The asumption being made with binutils is that you'll always be succesful,
# if you have any probs just delete $XBU_BUILD_DIR and it'll start from scratch

if [ ! -d $NEWXBU_BUILD_DIR ]
then
    echo Setting up cross-binutils build directory...
    mkdir $NEWXBU_BUILD_DIR
    cd $NEWXBU_BUILD_DIR

    echo Configuring and building cross-binutils...
    sh $BUILD_SCRIPTS_DIR/cfgnewxbu.sh
    sh $BUILD_SCRIPTS_DIR/mknewxbu.sh
fi

echo
echo "All done !"
