#!/bin/sh

PREFIX=$WINGCC_DIR

BUILD=`$GCC_SRC_DIR/config.guess`
TARGET=mingw32
HOST=$TARGET

export CC=$XGCC_DIR/bin/$TARGET-gcc
export CXX=$XGCC_DIR/bin/$TARGET-g++
export AS=$XGCC_DIR/bin/$TARGET-as
export LD=$XGCC_DIR/bin/$TARGET-ld
export AR=$XGCC_DIR/bin/$TARGET-ar

export CFLAGS='-g0 -O2 -pipe'
export CXXFLAGS='-g0 -O2 -pipe'
export LDFLAGS='-s'
export DEBUG_FLAGS='-g0'

export PATH="$XGCC_DIR/bin:$PATH"

$GCC_SRC_DIR/configure --prefix=$PREFIX \
    --build=$BUILD --host=$HOST --target=$TARGET \
    --enable-languages=c,c++,java \
    --with-gcc --with-gnu-as --with-gnu-ld \
    --with-as=$AS --with-ld=$LD \
    --enable-threads=win32 --disable-nls --disable-win32-registry \
    --disable-shared --disable-debug --disable-multilib --without-newlib \
    --enable-libgcj --disable-java-awt --without-x --enable-java-gc=boehm \
    --disable-libgcj-debug --enable-interpreter --enable-hash-synchronization
